| Home | Libraries | People | FAQ | More

## Global xdigit

boost::xpressive::xdigit — Matches a hexadecimal digit character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified xdigit;

## Description

The regex traits are used to determine which characters are hex digits. To match any character that is not a hex digit, use ~xdigit.

| Note
xdigit is equivalent to /[[:xdigit:]]/ in perl. ~xdigit is equivalent to /[[:^xdigit:]]/ in perl.